# QwtPickerPolygonMachine Class Reference

A state machine for polygon selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerPolygonMachine:

[legend]

List of all members.

## Public Member Functions

virtual CommandList | transition (const QwtEventPattern &, const QEvent *)

## Detailed Description

A state machine for polygon selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

## Member Function Documentation

QwtPickerMachine::CommandList QwtPickerPolygonMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | e |
| ) |  |  | `[virtual]`

Transition.

Implements QwtPickerMachine.